Bug 1534646 - Cannot restore TSM backups
Summary: Cannot restore TSM backups
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rear
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Pavel Cahyna
QA Contact: David Jež
Marie Dolezelova
URL:
Whiteboard:
Depends On:
Blocks: 1549619
TreeView+ depends on / blocked
 
Reported: 2018-01-15 16:38 UTC by Renaud Métrich
Modified: 2018-10-30 11:44 UTC (History)
6 users (show)

Fixed In Version: rear-2.4-1.el7
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 11:43:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3293 None None None 2018-10-30 11:44:02 UTC
Github https://github.com/rear rear pull 1461 None None None 2018-01-15 16:45:47 UTC
Red Hat Knowledge Base (Solution) 3321931 None None None 2018-01-31 10:26:21 UTC

Description Renaud Métrich 2018-01-15 16:38:50 UTC
Description of problem:

Linux TSM client >V8.1.0 changed password store.
Generated ISO image in combination with TSM will not work as TSM node password and encryption key not will be included in ISO file.

Upstream fix/bug reports regarding this issue:
https://github.com/rear/rear/pull/1461
https://github.com/rear/rear/issues/1452

Version-Release number of selected component (if applicable):

rear-2.00-3.el7_4.x86_64


Additional infos:

Value /etc/adsm/TSM.PWD in COPY_AS_IS_TSM should be replaced by /etc/adsm (whole directory)

Comment 2 Pavel Cahyna 2018-01-15 17:32:41 UTC
I wonder how to test that...

Comment 6 Pavel Cahyna 2018-03-20 17:19:32 UTC
As there is a workaround, I propose to document it in the release notes. Will write a draft to the Doc Text.

Comment 7 Pavel Cahyna 2018-03-26 14:52:48 UTC
(In reply to Renaud Métrich from comment #0)
> Description of problem:
> 
> Linux TSM client >V8.1.0 changed password store.

Is it >V8.1.0 or >= V8.1.0? I am writing the docs and would like to know whether "versions 8.1.0 and above" or "versions above 8.1.0" is correct.

Please review the proposed doc text.

Comment 8 Renaud Métrich 2018-03-26 15:06:57 UTC
This is v8.1.2 or greater

Comment 10 Pavel Cahyna 2018-06-27 16:27:24 UTC
merged upstream in 2.4/df407d1483579fdf43036ee43dc361ed7c18d5a3

Comment 11 Pavel Cahyna 2018-06-27 16:31:38 UTC
should have read 2.3

Comment 17 errata-xmlrpc 2018-10-30 11:43:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3293


Note You need to log in before you can comment on or make changes to this bug.